<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title t(:label_administration), t("label_role_plural") %>
<%= toolbar title: Role.model_name.human(count: 2) do %>
  <li class="toolbar-item">
    <%= link_to({ action: 'new'},
          { class: 'button -primary',
            aria: {label: t(:label_role_new)},
            title: t(:label_role_new)}) do %>
      <%= op_icon('button--icon icon-add') %>
      <span class="button--text"><%= Role.model_name.human %></span>
    <% end %>
  </li>
<% end %>

<div class="generic-table--container">
  <div class="generic-table--results-container">
    <table class="generic-table">
      <colgroup>
        <col opHighlightCol>
        <col opHighlightCol>
        <col opHighlightCol>
        <col>
      </colgroup>
      <thead>
        <tr>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Role.model_name.human %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%=t(:label_global)%>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%=t(:button_sort)%>
                </span>
              </div>
            </div>
          </th>
          <th><div class="generic-table--empty-header"></div></th>
        </tr>
      </thead>
      <tbody>
        <% for role in @roles %>
          <tr>
            <td>
              <%= content_tag(role.builtin? ? 'em' : 'span', link_to(role.name, :action => 'edit', :id => role)) %>
            </td>
            <td>
              <%= icon_wrapper('icon-context icon-checkmark', I18n.t(:general_text_Yes)) if role.is_a?(GlobalRole) %>
            </td>
            <td>
              <% unless role.builtin? %>
                <%= reorder_links('role', {:action => 'update', :id => role}, :method => :put) %>
              <% end %>
            </td>
            <td class="buttons">
              <%= link_to('', role_path(role),
                                       method: :delete,
                                       data: { confirm: t(:text_are_you_sure) },
                                       class: 'icon icon-delete',
                                       title: t(:button_delete)) unless role.builtin? %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>

  </div>
</div>

<%= pagination_links_full @roles %>
